## 提交工具栏组件使用说明

```
该组件用于勾选配件，显示配件数量以及提交操作
```

## API

### Props

|  属性名  |  类型   | 默认值 |   可选值   |        说明         |
| :------: | :-----: | :----: | :--------: | :-----------------: |
| showChecked   | Boolean  |   true   |     true/false     | 是否显示勾选 |
| allChecked | Boolean |  true  | true/false |      是否全选      |
| btnStatus | Boolean |  true  | true/false |      确定按钮是否可点击      |
| partNum | Number |  0  |  |      配件数量      |
| num | Number |  0  |  |      合计总件数      |
| submitTxt | String |  确定  |  |      确定按钮文字      |

### Events

| 事件称名 |        说明        |  返回值  |
| :------: | :----------------: | :------: |
| @select  | 全选状态改变 | 新的状态 |
| @submit  | 点击提交按钮 |  |

## 组件用法

### 基础用法

```html
<submit-bar 
  :partNum="partNum"
  :num="num"
  :btnStatus="btnStatus"
  :allChecked="allChecked"
  @select="allSelect"
  @submit="submit"
/>
```

```js
import submitBar from "@/components/submit-bar/index"
export default {
  components: {
    submitBar,
  },
  data() {
    return {
    }
  },
  computed: {
    // 配件数
    partNum() {
      return 0
    },
    // 总数
    num() {
      return 0
    },
    // 按钮状态
    btnStatus() {
      return false
    },
    // 全选状态
    allChecked() {
      return false
    }
  },
  methods: {
    allSelect(value) {
      console.log(value)
    },
    submit() {
      console.log('submit')
    }
  },
}
```
